var param = null;
mui.ready(function() {
	var nowUrl = location.href;
	var productId = nowUrl.split("?")[1];
	param = productId;
	shareProxyMemberUrl();
	document.querySelector('.loading-bg').style.display = 'none';
});

function shareProxyMemberUrl() {
	mui.ajax('/iamberry/wechat/member/shareProxyMemberUrl?' + param, {
		dataType: 'json',
		type: 'POST',
		timeout: 15000,
		success: function(dt) {
			if(dt.status) {
				$("#qrcode-div").html("<img src='" + dt.data.qrcodeUrl + "'/>");
				$("#user-head").empty().html("<img src='" + dt.data.data.userHead + "' />");
				$("#user-nickname").empty().html(decodeURI(dt.data.data.userNickname));
				window.repleFlag = true;
				window.wxFriend = {
					"appId": "",
					"imgUrl": 'http://static.iamberry.com/images/shop/default_qrcode.png',
					"link": dt.data.shareUrl,
					"desc": "秉承“关爱、极致、乐观”的企业精神，打造“中国最大的母婴平台”，通过“硬件+软件+平台”的业务模式，重构母婴人群、母婴店铺、品牌厂商三者之间的连接关系。爱贝源是母婴实体店“抱团转型O2O的助推器”；是母婴品牌商“营销渠道扁平化的最优解”；是母婴消费者“专属化购物方案的提供者”。",
					"title": "深圳爱贝源科技，是一家互联网＋“母婴平台”的科技公司，2014年成立于深圳。",
					"netError": "您的网络异常，请刷新重试!如多次刷新无效，请向我们反应 ~",
					"shareTimeSuccess": "分享成功",
					"shareTimeCancel": "已取消分享",
					"shareAppSuccess": "分享成功",
					"shareAppCancel": "已取消分享"
				};

				getConfig();
			} else {
				mui.alert(dt.message);
			}
		},
		error: function(xhr, type, errorThrown) {
			errorfn(xhr);
		}
	});
}
var mask = mui.createMask(function() {}); //callback
mui('body').on('tap', '.share_wechat', function() {
	mask.show(); //显示遮罩
});